<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="273dp"
        android:layout_height="219dp"
        android:background="@drawable/dialog_center_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/text_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:text="选择要投屏的设备"
            android:textColor="#ff333333"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/cast_device"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="20dp"
            android:layout_marginTop="6.5dp"
            android:layout_marginBottom="5.5dp"
            android:orientation="vertical"
            android:visibility="gone"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintBottom_toTopOf="@id/cast_cancel"
            app:layout_constraintTop_toBottomOf="@id/text_title" />

        <com.tencent.liteav.demo.player.ui.CastScanning
            android:id="@+id/cast_loading"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="20dp"
            android:layout_marginTop="6.5dp"
            android:layout_marginBottom="5.5dp"
            app:layout_constraintBottom_toTopOf="@id/cast_cancel"
            app:layout_constraintTop_toBottomOf="@id/text_title" />

        <TextView
            android:id="@+id/cast_cancel"
            android:layout_width="match_parent"
            android:layout_height="34dp"
            android:layout_marginHorizontal="40dp"
            android:layout_marginBottom="32dp"
            android:background="@drawable/cast_cancel_background"
            android:gravity="center"
            android:text="取消"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent" />

        <LinearLayout
            android:id="@+id/cast_helper"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_marginBottom="2dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent">

            <ImageView
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:layout_marginRight="3dp"
                android:src="@mipmap/cast_helper" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="16dp"
                android:text="@string/cast_helper_tip"
                android:textColor="#ff0b57c7"
                android:textSize="11sp" />

        </LinearLayout>

        <ImageView
            android:id="@+id/cast_close"
            android:layout_width="17dp"
            android:layout_height="17dp"
            android:layout_marginTop="13dp"
            android:layout_marginRight="12dp"
            android:src="@mipmap/dialog_close"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
